# H225_EndpointType Class Reference

`#include <h225.h>`

Inheritance diagram for H225_EndpointType:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_vendor, e_gatekeeper, e_gateway, e_mcu, e_terminal, e_set, e_supportedTunnelledProtocols }

## Public Member Functions

| H225_EndpointType (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_NonStandardParameter | m_nonStandardData
H225_VendorIdentifier | m_vendor
H225_GatekeeperInfo | m_gatekeeper
H225_GatewayInfo | m_gateway
H225_McuInfo | m_mcu
H225_TerminalInfo | m_terminal
PASN_Boolean | m_mc
PASN_Boolean | m_undefinedNode
PASN_BitString | m_set
H225_ArrayOf_TunnelledProtocol | m_supportedTunnelledProtocols

## Member Enumeration Documentation

enum H225_EndpointType::OptionalFields

Enumerator:

  e_nonStandardData |
  e_vendor |
  e_gatekeeper |
  e_gateway |
  e_mcu |
  e_terminal |
  e_set |
  e_supportedTunnelledProtocols |

## Constructor & Destructor Documentation

H225_EndpointType::H225_EndpointType | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_EndpointType::GetDataLength | ( |  | ) | const

PBoolean H225_EndpointType::Decode | ( | PASN_Stream & | strm | ) |

void H225_EndpointType::Encode | ( | PASN_Stream & | strm | ) | const

void H225_EndpointType::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_EndpointType::Compare | ( | const PObject & | obj | ) | const

PObject* H225_EndpointType::Clone | ( |  | ) | const

## Member Data Documentation

H225_NonStandardParameter H225_EndpointType::m_nonStandardData

H225_VendorIdentifier H225_EndpointType::m_vendor

H225_GatekeeperInfo H225_EndpointType::m_gatekeeper

H225_GatewayInfo H225_EndpointType::m_gateway

H225_McuInfo H225_EndpointType::m_mcu

H225_TerminalInfo H225_EndpointType::m_terminal

PASN_Boolean H225_EndpointType::m_mc

PASN_Boolean H225_EndpointType::m_undefinedNode

PASN_BitString H225_EndpointType::m_set

H225_ArrayOf_TunnelledProtocol H225_EndpointType::m_supportedTunnelledProtocols

The documentation for this class was generated from the following file:

- h225.h